Skip to main content
POST
/
api
/
v1
/
users
/
me
/
change-password
Change password
curl --request POST \
  --url https://uat.gateway.verify-group.io/api/v1/users/me/change-password \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Tenant-ID: <x-tenant-id>' \
  --data '
{
  "currentPassword": "<string>",
  "newPassword": "<string>"
}
'
import requests

url = "https://uat.gateway.verify-group.io/api/v1/users/me/change-password"

payload = {
"currentPassword": "<string>",
"newPassword": "<string>"
}
headers = {
"X-Tenant-ID": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'X-Tenant-ID': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({currentPassword: '<string>', newPassword: '<string>'})
};

fetch('https://uat.gateway.verify-group.io/api/v1/users/me/change-password', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


X-Tenant-ID
string
required
Tenant identifier
currentPassword
string
required
Current password
newPassword
string
required
New password (min 8 chars, must include uppercase, lowercase, number, special char)